# Contributing to MCP Documentation

Thank you for your interest in contributing to the Model Context Protocol (MCP) documentation! This guide will help you get started with contributing.

## Getting Started

1. Install the required tools:
   - Node.js
   - Git
   - [Mintlify CLI](https://www.npmjs.com/package/mintlify): `npm i -g mintlify`
2. Fork and clone the repository
3. Create a new branch for your changes
4. Run `mintlify dev` to preview changes locally

## Documentation Guidelines

- Keep content clear, concise, and technically accurate
- Follow the existing file structure and naming conventions
- Include code examples where appropriate
- Use proper MDX formatting and components
- Test all links and code samples

## Content Types

You can contribute to:

- Conceptual guides
- API reference documentation
- Tutorials and quickstarts
- Best practices and examples
- Troubleshooting guides

## Pull Request Process

1. Ensure your changes follow our documentation guidelines
2. Update the relevant table of contents if needed
3. Test your changes locally using `mintlify dev`
4. Submit a pull request with a clear description of your changes
5. Wait for review and address any feedback

## Need Help?

- Check existing documentation at [modelcontextprotocol.io](https://modelcontextprotocol.io)
- [Open an issue](https://github.com/modelcontextprotocol/docs/issues) for bugs or concerns
- Join our [community discussions](https://github.com/modelcontextprotocol/docs/discussions)

## Code of Conduct

Please note that this project follows our [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you agree to uphold these guidelines.
